# $Revision: 1.36 $, $Date: 2004/05/07 00:40:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	DES
Summary:	Crypt::DES - Perl DES encryption module
Summary(pl):	Crypt::DES - modu Perla dla szyfrowania DES
Name:		perl-Crypt-DES
Version:	2.03
Release:	7
License:	BSD-like (see COPYRIGHT)
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1b9a84e14214e74e71dd80f906a3db96
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::DES is Perl interface to DES block cipher.

%description -l pl
Modu Perla Crypt::DES zawiera obsug algorytmu szyfrowania DES.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYRIGHT README
%{perl_vendorarch}/Crypt/DES.pm
%dir %{perl_vendorarch}/auto/Crypt/DES
%{perl_vendorarch}/auto/Crypt/DES/DES.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/DES/DES.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-DES.spec,v $
Revision 1.36  2004/05/07 00:40:54  ankry
- rel. 7

Revision 1.35  2004/05/06 18:09:22  ankry
- fixed perl-devel BR

Revision 1.34  2004/04/25 20:20:27  ankry
- tests added

Revision 1.33  2004/04/19 20:52:19  ankry
- better summary and description, license fix

Revision 1.32  2004/02/18 15:29:32  qboosh
- s/no/nb/ in Summary langs

Revision 1.31  2004/01/31 18:20:32  undefine
- release 6 for ac

Revision 1.30  2003/09/09 10:24:30  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:35  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 18:46:20  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:28:45  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/22 21:34:07  ankry
- translations, cleaning

Revision 1.21  2002/07/21 12:23:46  qboosh
- fixed pl description, added doc
- release 4

Revision 1.20  2002/07/10 08:46:45  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:10:46  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:25:06  depesz
adapterized

Revision 1.14  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/30 01:22:53  misiek
- update to 2.02

Revision 1.12  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.11  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/04/17 12:06:57  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:03:43  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/30 05:54:02  agaran
added patch for build against perl-5.6

Revision 1.6  2000/12/30 04:43:04  kloczek
- release 4: rebuild against perl 5.6 and use new rpm automation.

Revision 1.5  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.1  1999/11/10 18:25:27  pius
- initial release
